------------------------------------------------------------------------------------
--Name：            200319[简体征服][活动脚本]全球周年庆剧情
--Creator:      蔡颖静
--Created:     2020-03-19
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>25


-- 设置摄像机指向位置(网格坐标)

------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
-- local hero = CppScriptMgr:QueryHero()
-- hero:SetLook(hero:GetLook(), false, true) 
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001)
-- 镜头一
-- CppScriptMgr:AddEffect("meiguihua_01",32,31);
-- CppScriptMgr:WaitMilSec(100)
CppScriptMgr:SetViewPosByCell(257,207)

CppScriptMgr:SetLightScreen(1500);


local hero = CppScriptMgr:QueryHero();

hero:SetLook(hero:GetLook(), false, true) ;
hero:SetZoomPercent(100)
hero:SetPos(257, 213)
hero:SetDir(4)

--创建小龙
local player  = CppScriptMgr:AddSimplePlayer(1059960, 257,207, "HeavenDragon(Growth)", 4003000210,1)
player:SetZoomPercent(125)

--创建甄小福
local playerNpc  = CppScriptMgr:AddSimplePlayer(1062430, 248,207, "LittleLuckyStar", 4003000211,1)
playerNpc:SetZoomPercent(100)

--增加地效
local effectObjDX = CppScriptMgr:AddEffect("DX_zhounianqing",250, 200);

CppScriptMgr:WaitMilSec(2000);

local effectObj1 = CppScriptMgr:AddEffect("firethunder",258,212);
CppScriptMgr:WaitMilSec(500);
local effectObj2 = CppScriptMgr:AddEffect("zf2-e236",251,210);
CppScriptMgr:WaitMilSec(500);
local effectObj6 = CppScriptMgr:AddEffect("zf2-e233",251,204);
CppScriptMgr:WaitMilSec(500);
player:Say("Awwww! My body is going to explode!", 8000);
local effectObj3 = CppScriptMgr:AddEffect("firethunder",256,202);
CppScriptMgr:WaitMilSec(500);
local effectObj5 = CppScriptMgr:AddEffect("zf2-e236",258,203);
CppScriptMgr:WaitMilSec(500);
local effectObj4 = CppScriptMgr:AddEffect("zf2-e236",261,209);
CppScriptMgr:WaitMilSec(500);
local effectObj7 = CppScriptMgr:AddEffect("firethunder",261,203);
CppScriptMgr:WaitMilSec(500);
local effectObj8 = CppScriptMgr:AddEffect("zf2-e236",256,202);
local effectObj9 = CppScriptMgr:AddEffect("thor",249,199);
CppScriptMgr:WaitMilSec(500);
--出现半身像
CppScriptMgr:NpcCallOut("Heaven Dragon is about to become mature!\n\n\n\n                                     Press ESC to skip the story.", 6000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26069", 150, 430, "LittleLuckyStar", 250, 655);
local effectObj10 = CppScriptMgr:AddEffect("lighls",246,204);
CppScriptMgr:WaitMilSec(500);
local effectObj11 = CppScriptMgr:AddEffect("zf2-e233",258,203);
CppScriptMgr:WaitMilSec(500);
local effectObj12 = CppScriptMgr:AddEffect("thor",251,204);
CppScriptMgr:WaitMilSec(500);
local effectObj13 = CppScriptMgr:AddEffect("firethunder",261,203);
CppScriptMgr:WaitMilSec(500);
local effectObj14 = CppScriptMgr:AddEffect("firethunder",258,212);
CppScriptMgr:WaitMilSec(500);
local effectObj15 = CppScriptMgr:AddEffect("zf2-e236",251,204);
CppScriptMgr:WaitMilSec(500);
local effectObj16 = CppScriptMgr:AddEffect("zf2-e236",263,208);
local effectObj17 = CppScriptMgr:AddEffect("firethunder",261,211);
CppScriptMgr:WaitMilSec(500);
local effectObj18 = CppScriptMgr:AddEffect("zf2-e236",257,211);
CppScriptMgr:WaitMilSec(500);
local effectObj19 = CppScriptMgr:AddEffect("thor",261,209);
local effectObj20 = CppScriptMgr:AddEffect("zf2-e236",251,210);
local effectObj21 = CppScriptMgr:AddEffect("firethunder",249,199);
CppScriptMgr:WaitMilSec(2000);

-- CppScriptMgr:WaitMilSec(2000);

player:SetHide(1);
--播放升级光效
local effectObj22 = CppScriptMgr:AddEffect("fighter",257,207);
-- player:AddEffect("fighter",379,443);
CppScriptMgr:WaitMilSec(2000);

player:SetHide(1);

CppScriptMgr:SetLightScreen(3000);

--出现中期小龙
player:AddEffect("accession",257,207);
CppScriptMgr:WaitMilSec(1000);

local player1  = CppScriptMgr:AddSimplePlayer(1059970, 257,207, "HeavenDragon(Mature)", 4003000212,1)
player1:SetZoomPercent(130)
player1:AddEffect("lottery",257,207);

CppScriptMgr:WaitMilSec(2000);
player1:Say("I can feel the strong power inside me. So good.", 3000);
CppScriptMgr:WaitMilSec(2000);
hero:SetAction(180);
hero:Say("This is the Heaven Dragon in the legend!", 3000);
CppScriptMgr:WaitMilSec(2000);
--出现半身像
CppScriptMgr:NpcCallOut("     You did a good job. Go on. The Heaven Dragon will bring you more surprises.!\n\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26069", 150, 430, "LittleLuckyStar", 250, 655);
CppScriptMgr:WaitMilSec(5000);


